Debian Bug report logs - #573653
abiword: FTBFS: Nonexistent build-dependency: libgoffice-0-8-dev

version graph

Package: src:abiword; Maintainer for src:abiword is Dmitry Smirnov <onlyjob@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 13 Mar 2010 08:48:19 UTC

Severity: serious

Tags: sid, squeeze

Found in version abiword/2.8.2-1

Fixed in version abiword/2.8.2-2

Done: Patrik Fimml <patrik@fimml.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrik Fimml <patrik@fimml.at>:
Bug#573653; Package src:abiword. (Sat, 13 Mar 2010 08:48:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Patrik Fimml <patrik@fimml.at>. (Sat, 13 Mar 2010 08:48:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: abiword: FTBFS: Nonexistent build-dependency: libgoffice-0-8-dev
Date: Sat, 13 Mar 2010 08:42:12 +0100
Source: abiword
Version: 2.8.2-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100312 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: cdbs, debhelper (>= 7), quilt, libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-1.1), libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-1.1), libasio-dev (>= 1.4.1), libenchant-dev (>= 1.2.0), libfreetype6-dev, libfribidi-dev, libglade2-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.2), libgtk2.0-dev, libgtkmathview-dev (>= 0.7.5), liblink-grammar4-dev, libloudmouth1-dev, libots-dev, libpng-dev, libpopt-dev, libreadline-dev, libwmf-dev, libwpd-dev, libwpg-dev (>= 0.1.0), libwps-dev, libwv-dev (>= 1.2), libgoffice-0-8-dev, libgucharmap2-dev, libpsiconv-dev (>= 0.9.4), librsvg2-dev (>= 2.16.0), libboost-regex-dev, libsoup2.4-dev, libdbus-glib-1-dev, libxslt-dev, libaspell-dev
> 
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install build dependencies (internal resolver)                               │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Checking for already installed source dependencies...
> cdbs: missing
> debhelper: missing
> Using default version 7.4.15
> quilt: missing
> libaiksaurus-1.2-dev: missing
> Using default version 1.2.1+dev-0.12-6
> libaiksaurusgtk-1.2-dev: missing
> Using default version 1.2.1+dev-0.12-6
> libasio-dev: missing
> Using default version 1.4.1-3
> libenchant-dev: missing
> Using default version 1.4.2-3.6
> libfreetype6-dev: missing
> libfribidi-dev: missing
> libglade2-dev: missing
> libglib2.0-dev: missing
> libgsf-1-dev: missing
> Using default version 1.14.17-1
> libgtk2.0-dev: missing
> libgtkmathview-dev: missing
> Using default version 0.8.0-4
> liblink-grammar4-dev: missing
> libloudmouth1-dev: missing
> libots-dev: missing
> libpng-dev: missing
> libpopt-dev: missing
> libreadline-dev: missing
> libwmf-dev: missing
> libwpd-dev: missing
> libwpg-dev: missing
> Using default version 0.1.3-1
> libwps-dev: missing
> libwv-dev: missing
> Using default version 1.2.4-2
> libgoffice-0-8-dev: missing
> libgucharmap2-dev: missing
> libpsiconv-dev: missing
> Using default version 0.9.8-4.1
> librsvg2-dev: missing
> Using default version 2.26.0-1
> libboost-regex-dev: missing
> libsoup2.4-dev: missing
> libdbus-glib-1-dev: missing
> libxslt-dev: missing
> libaspell-dev: missing
> Checking for source dependency conflicts...
> E: Package libgoffice-0-8-dev has no installation candidate

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/03/12/abiword_2.8.2-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Patrik Fimml <patrik@fimml.at>:
You have taken responsibility. (Sun, 14 Mar 2010 11:03:14 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 11:03:14 GMT) Full text and rfc822 format available.

Message #10 received at 573653-close@bugs.debian.org (full text, mbox):

From: Patrik Fimml <patrik@fimml.at>
To: 573653-close@bugs.debian.org
Subject: Bug#573653: fixed in abiword 2.8.2-2
Date: Sun, 14 Mar 2010 11:02:30 +0000
Source: abiword
Source-Version: 2.8.2-2

We believe that the bug you reported is fixed in the latest version of
abiword, which is due to be installed in the Debian FTP archive:

abiword-common_2.8.2-2_all.deb
  to main/a/abiword/abiword-common_2.8.2-2_all.deb
abiword-plugin-grammar_2.8.2-2_amd64.deb
  to main/a/abiword/abiword-plugin-grammar_2.8.2-2_amd64.deb
abiword-plugin-mathview_2.8.2-2_amd64.deb
  to main/a/abiword/abiword-plugin-mathview_2.8.2-2_amd64.deb
abiword_2.8.2-2.diff.gz
  to main/a/abiword/abiword_2.8.2-2.diff.gz
abiword_2.8.2-2.dsc
  to main/a/abiword/abiword_2.8.2-2.dsc
abiword_2.8.2-2_amd64.deb
  to main/a/abiword/abiword_2.8.2-2_amd64.deb
libabiword-2.8-dev_2.8.2-2_amd64.deb
  to main/a/abiword/libabiword-2.8-dev_2.8.2-2_amd64.deb
libabiword-2.8_2.8.2-2_amd64.deb
  to main/a/abiword/libabiword-2.8_2.8.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573653@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrik Fimml <patrik@fimml.at> (supplier of updated abiword package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Mar 2010 13:31:40 +0100
Source: abiword
Binary: abiword-common abiword abiword-plugin-grammar abiword-plugin-mathview libabiword-2.8 libabiword-2.8-dev
Architecture: source all amd64
Version: 2.8.2-2
Distribution: unstable
Urgency: low
Maintainer: Patrik Fimml <patrik@fimml.at>
Changed-By: Patrik Fimml <patrik@fimml.at>
Description: 
 abiword    - efficient, featureful word processor with collaboration
 abiword-common - efficient, featureful word processor with collaboration -- common
 abiword-plugin-grammar - grammar checking plugin for AbiWord
 abiword-plugin-mathview - equation editor plugin for AbiWord
 libabiword-2.8 - efficient, featureful word processor with collaboration -- shared
 libabiword-2.8-dev - efficient, featureful word processor with collaboration -- develo
Closes: 572043 573653
Changes: 
 abiword (2.8.2-2) unstable; urgency=low
 .
   * Move from libgoffice-0-8-dev to libgoffice-0.8-dev (see #570351,
     closes: #573653, #572043)
Checksums-Sha1: 
 033d4a2951161cd35e6ed76443e6b44e223950f0 1870 abiword_2.8.2-2.dsc
 ac29dc2ba44119c792cb437bd7e7f68b430103f7 43559 abiword_2.8.2-2.diff.gz
 fee5734cbc7502a52a6196dd2531a8ecfcd7d411 1951192 abiword-common_2.8.2-2_all.deb
 012f7c67eed6c1254c893fa9688a56951c4fdea8 1596368 abiword_2.8.2-2_amd64.deb
 3bfb04baa4889f2bebdc6803bf17b8b5833de47a 45930 abiword-plugin-grammar_2.8.2-2_amd64.deb
 a3ff3d6441e4cb6fa20ca8aa6a592452d88e2067 148764 abiword-plugin-mathview_2.8.2-2_amd64.deb
 4d876c1d6811b801d6846d5424cf587b9288f891 2669760 libabiword-2.8_2.8.2-2_amd64.deb
 803a7e7721a0f30eebcf661973055ed605c9d4ba 3806214 libabiword-2.8-dev_2.8.2-2_amd64.deb
Checksums-Sha256: 
 df926e5ba78f7a9e4c9c9fc302e9e9b5c00b0ff91a5f045af90f215d1f7c38d9 1870 abiword_2.8.2-2.dsc
 8882e2cbe3a54b2705e661328277873793c7d55925fea195ee2095a10c7fee15 43559 abiword_2.8.2-2.diff.gz
 34c6521ddb590564638aca59a10031b3197580ac1a60f9d31ecc4a910d62e342 1951192 abiword-common_2.8.2-2_all.deb
 313ce428489c43a3b39924d286e793eec4e616387f4bb423735b2c7cc02dd09e 1596368 abiword_2.8.2-2_amd64.deb
 23a335bfd35e9a89bdd03fdd116995c1c8b4045a415e22c15566dffbd3dca54b 45930 abiword-plugin-grammar_2.8.2-2_amd64.deb
 5ec977ccde68104dda39abbaf7bb9d8c79748595eaab1a3c7fc152ac083d67ba 148764 abiword-plugin-mathview_2.8.2-2_amd64.deb
 06d19851c7ba498f4a312c0bc78c1cd79c58ec2736d5b538f3deed8d897dd3a8 2669760 libabiword-2.8_2.8.2-2_amd64.deb
 4d7bf94f026b63712806dc842cfddd8fe11952d26f38d8c8b968042a59c9a41a 3806214 libabiword-2.8-dev_2.8.2-2_amd64.deb
Files: 
 ec7f6adb8041388b64f37e6f78cb5dd4 1870 gnome optional abiword_2.8.2-2.dsc
 e97e1485b55b9a6eea8d629b576ceecd 43559 gnome optional abiword_2.8.2-2.diff.gz
 dcff070e65910beb314f987e0f81148a 1951192 editors optional abiword-common_2.8.2-2_all.deb
 a6d9631644b6c0022b5e8d7c0e51f714 1596368 editors optional abiword_2.8.2-2_amd64.deb
 336886014885ca2288a5ea876bedc779 45930 editors optional abiword-plugin-grammar_2.8.2-2_amd64.deb
 e567a949c6a611f8c933a8790a7eb84f 148764 editors optional abiword-plugin-mathview_2.8.2-2_amd64.deb
 41a6fd0dc8a933a1e7e05a3ce916ab61 2669760 libs optional libabiword-2.8_2.8.2-2_amd64.deb
 277efeb10794a252edd8f02565e0c27b 3806214 libdevel optional libabiword-2.8-dev_2.8.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucv1wACgkQ5Sc9mGvjxCNszgCfc+ovqqY4M0akrQQtVFiNj+qd
sw8AoI0opkVwOCPsXFI/XGDiHTUQYMil
=hgoS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:28:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.